esl-alipid(1)

NAME
esl-alipid - calculate pairwise percent identities for all sequence pairs in an MSA

SYNOPSIS
esl-alipid [options] msafile

DESCRIPTION

esl-alistat calculates the pairwise percent identity of each sequence pair in in the MSA(s) in msafile. For each sequence pair, it outputs a line of <sqname1> <sqname2> <pid> <nid> <n> where <pid> is the percent identity, <nid> is the number of identical aligned pairs, and <n> is the denominator used for the calculation: the shorter of the two (unaligned) sequence lengths.

If msafile is - (a single dash), alignment input is read from stdin.

Only canonical residues are counted toward <nid> and <n>. Degenerate residue codes are not counted.

OPTIONS

-h  Print brief help; includes version number and summary of all options, including expert options.

--informat <s>
    Assert that input msafile is in alignment format <s>, bypassing format autodetection. Common choices for <s> include: stockholm, a2m, afa, psiblast, clustal, phylip. For more information, and for codes for some less common formats, see main documentation. The string <s> is case-insensitive (a2m or A2M both work).

--amino
    Assert that the msafile contains protein sequences.

--dna
    Assert that the msafile contains DNA sequences.

--rna
    Assert that the msafile contains RNA sequences.

SEE ALSO
http://bioeasel.org/

COPYRIGHT
Copyright (C) 2020 Howard Hughes Medical Institute
Freely distributed under the BSD open source license.

AUTHOR
http://eddylab.org